Skip to navigation

Create a new VPC

Creates a new VPC. To preview pricing without creating anything, use POST /networks/vpc/cost-estimate.

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Request

This endpoint expects an object.
namestringRequired

Human-readable name for the VPC.

regionstringRequired

Region the VPC will be created in. References a region label from /v1/compute/regions.

cidrstringRequired
IPv4 CIDR block the VPC will use.
descriptionstringOptional

Free-form description of the VPC.

Response

The VPC has been created
idstringformat: "uuid"
Unique identifier for the VPC
namestring
Name of the VPC
descriptionstring
Description of the VPC
cidrstring
CIDR of the VPC
statusenum
VPC status
Allowed values:
regionstring
Region where the VPC is located
tierslist of objects
Network tiers in this VPC
publicIpslist of strings
Public IP addresses associated with this VPC
createdAtdatetimeOptional
VPC creation date

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error